Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2636 - (alpha) xfig isn't able to draw some objects
Summary: (alpha) xfig isn't able to draw some objects
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xfig
Version: 6.0
Hardware: alpha
OS: Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-07 16:16 UTC by hvr
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-30 19:19:37 UTC


Attachments (Terms of Use)

Description hvr 1999-05-07 16:16:17 UTC
xfig fails drawing polygons, rectangular boxes, polylines,
etc.. on alpha architecture

Comment 1 Preston Brown 1999-08-30 18:24:59 UTC
it appears that xfig isn't 64 bit clean at all.  I'm working on it.

Comment 2 Preston Brown 1999-08-30 19:19:59 UTC
XFig is a mess.  There are tons and tons of casts from XtPointers to
int type.  On intel and 32-bit sparc, this is fine, but it is very bad
on the alpha.

We suggest that you get in contact with the author of the program and
tell him the problem, but we can't make fixing this a priority here,
as xfig is largely being supplanted by newer programs from GNOME and
KDE at this point, and the fixes will be non-trivial.


Note You need to log in before you can comment on or make changes to this bug.